{% extends 'base.html.twig' %}

{% block title %}Mot de passe oublié{% endblock %}

{% block content %}
<div class="container-fluid my-4">
    <div class="row">
        <div class="col-12 col-lg-10 offset-lg-1">
            <h1>Mot de passe oublié</h1>
            {% if usernameForm.vars.errors|length > 0 %}
                <div class="alert alert-danger">
                    <strong>Erreur</strong> <p> {{(usernameForm.vars.errors)}}</p>
                </div>
            {% endif %}
            {{ form_start(usernameForm) }}
                <div class="form-group">
                    <label for="registration_form_email" class="required"><i class="fa fa-at"></i> Adresse e-mail</label>
                    {{ form_widget(usernameForm.email, {'attr': {'class': usernameForm.email.vars.errors|length > 0 ? 'form-control is-invalid' : 'form-control'}}) }}

                    <div class="invalid-feedback">
                        {{ form_errors(usernameForm.email) }}
                    </div>
                </div>

                <button type="submit" class="btn btn-lg btn-primary">Réinitialiser mon mot de passe</button>
            {{ form_end(usernameForm) }}
        </div>
    </div>
</div>
{% endblock %}
